package com.qmth.cqb.paper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.paper.model.PaperDetailStructBlueprint;

/**
 * @describle 蓝图试卷结构大题repo
 * @author weiwenhai
 * @date   2017.11.20
 */
public interface PaperDetailStructBlueprintRepo extends JpaRepository<PaperDetailStructBlueprint, Long>,QueryByExampleExecutor<PaperDetailStructBlueprint>,JpaSpecificationExecutor<PaperDetailStructBlueprint>{
	
	List<PaperDetailStructBlueprint> findByPaperStructBlueprintId(Long paperStructBlueprintId);
	
	List<PaperDetailStructBlueprint> findByUserIdAndPaperStructBlueprintId(Long userId, Long paperStructBlueprintId);
}
