package com.qmth.cqb.paper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.paper.model.PaperDetailInfoStructBlueprint;

/**
 * @describle 蓝图试卷结构大题详情repo
 * @author weiwenhai
 * @date   2017.11.20
 */
public interface PaperDetailInfoStructBlueprintRepo extends JpaRepository<PaperDetailInfoStructBlueprint, Long>,QueryByExampleExecutor<PaperDetailInfoStructBlueprint>,JpaSpecificationExecutor<PaperDetailInfoStructBlueprint>{

	PaperDetailInfoStructBlueprint findByPaperDetailStructBlueprintId(Long paperDetailStructBlueprintId);
	
}
