package com.qmth.cqb.paper.dto;

import java.util.List;

import com.qmth.cqb.paper.model.PaperDetailInfoStructBlueprint;
import com.qmth.cqb.paper.model.PaperDetailInfoUnitStructBlueprint;
/**
 * @describle 蓝图试卷结构大题详情 dto
 * @author Administrator
 * @date   2017.11.20
 */
public class PaperDetailInfoStructBlueprintDto {

	private Long id; //大题详情id
	
    private String questionType; //小题类型
    
    private Integer count; //小题数量
	
	private Double score; //小题分数
	
	private Double totalScore; //小题总分
	
	private Integer publicSimpleCount; //公开简单总数
	
	private Integer publicMediumCount; //公开中等总数
	
	private Integer publicDifficultyCount; //公开困难总数
	
	private Integer noPublicSimpleCount; //非公开简单总数
	
	private Integer noPublicMediumCount; //非公开中等总数
	
	private Integer noPublicDifficultyCount; //非公开困难总数
	
	private List<String> quesNames; //来源大题
	
	private Long paperDetailStructBlueprintId; //大题id
	
	private List<PaperDetailInfoUnitStructBlueprintDto> paperDetailInfoUnitStructBlueprintDtos; //蓝图试卷结构大题详情属性
	
	public PaperDetailInfoStructBlueprintDto(){
		
	}

	public PaperDetailInfoStructBlueprintDto(PaperDetailInfoStructBlueprint paperDetailInfoStructBlueprint){
		this.id = paperDetailInfoStructBlueprint.getId();
		this.questionType = paperDetailInfoStructBlueprint.getQuestionType();
		this.count = paperDetailInfoStructBlueprint.getCount();
		this.score = paperDetailInfoStructBlueprint.getScore();
		this.totalScore = paperDetailInfoStructBlueprint.getTotalScore();
		this.paperDetailStructBlueprintId = paperDetailInfoStructBlueprint.getPaperDetailStructBlueprintId();
		this.publicSimpleCount = paperDetailInfoStructBlueprint.getPublicSimpleCount();
		this.publicMediumCount = paperDetailInfoStructBlueprint.getPublicMediumCount();
		this.publicDifficultyCount = paperDetailInfoStructBlueprint.getPublicDifficultyCount();
		this.noPublicSimpleCount = paperDetailInfoStructBlueprint.getNoPublicSimpleCount();
		this.noPublicMediumCount = paperDetailInfoStructBlueprint.getNoPublicMediumCount();
		this.noPublicDifficultyCount = paperDetailInfoStructBlueprint.getNoPublicDifficultyCount();
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getQuestionType() {
		return questionType;
	}

	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public List<String> getQuesNames() {
		return quesNames;
	}

	public void setQuesNames(List<String> quesNames) {
		this.quesNames = quesNames;
	}

	public Long getPaperDetailStructBlueprintId() {
		return paperDetailStructBlueprintId;
	}
	
	public Integer getPublicSimpleCount() {
		return publicSimpleCount;
	}

	public void setPublicSimpleCount(Integer publicSimpleCount) {
		this.publicSimpleCount = publicSimpleCount;
	}

	public Integer getPublicMediumCount() {
		return publicMediumCount;
	}

	public void setPublicMediumCount(Integer publicMediumCount) {
		this.publicMediumCount = publicMediumCount;
	}

	public Integer getPublicDifficultyCount() {
		return publicDifficultyCount;
	}

	public void setPublicDifficultyCount(Integer publicDifficultyCount) {
		this.publicDifficultyCount = publicDifficultyCount;
	}

	public Integer getNoPublicSimpleCount() {
		return noPublicSimpleCount;
	}

	public void setNoPublicSimpleCount(Integer noPublicSimpleCount) {
		this.noPublicSimpleCount = noPublicSimpleCount;
	}

	public Integer getNoPublicMediumCount() {
		return noPublicMediumCount;
	}

	public void setNoPublicMediumCount(Integer noPublicMediumCount) {
		this.noPublicMediumCount = noPublicMediumCount;
	}

	public Integer getNoPublicDifficultyCount() {
		return noPublicDifficultyCount;
	}

	public void setNoPublicDifficultyCount(Integer noPublicDifficultyCount) {
		this.noPublicDifficultyCount = noPublicDifficultyCount;
	}

	public void setPaperDetailStructBlueprintId(Long paperDetailStructBlueprintId) {
		this.paperDetailStructBlueprintId = paperDetailStructBlueprintId;
	}

	public List<PaperDetailInfoUnitStructBlueprintDto> getPaperDetailInfoUnitStructBlueprintDtos() {
		return paperDetailInfoUnitStructBlueprintDtos;
	}

	public void setPaperDetailInfoUnitStructBlueprintDtos(
			List<PaperDetailInfoUnitStructBlueprintDto> paperDetailInfoUnitStructBlueprintDtos) {
		this.paperDetailInfoUnitStructBlueprintDtos = paperDetailInfoUnitStructBlueprintDtos;
	}

}
